//login

// Cuando se presiona el botón de entrar en login.php para ingresar al sistema
$(document).on('submit', '#login_form', function(event) {
	event.preventDefault();
	/* Act on the event */

    // Obtiene los valores de usuario y contraseña
	var username = $('#login_usuario').val();
	var pass = $('#login_pass').val();

    // los valores obtenidos los manda a login.php en data para permitir o no el acceso al sistema
	$.ajax({
        url: 'data/login.php',
        type: 'post',
        dataType: 'json',
        data: {
            username:username,
            pass:pass
        },
        success: function (data) {
            // en caso de obtener respuesta positiva valida si el usuario a cambiado o no la contraseña
            if(data.logged == true){ // si no a cambiado la contraseña muestra el modal para el cambio de contraseña
                if(data.change == 0){
                    $('#modal_Cpass').find('#texto_pass').text('¡Solo se permiten Números y Letras!');
                    $('#modal_Cpass').modal({backdrop: 'static', keyboard: false})
                    $('#modal_Cpass').modal('show');
                }
                else{
                    window.location = data.url; // si ya cambio la contraseña y los parametros son correctos permite el acceso
                }
            }
            // En caso de no obtener respuesta negativa muestra mensaje negativo
            else{
                $('#modal_error').find('#texto_error').text('Usuario o Contraseña incorrectos');
				$('#modal_error').modal('show');
                setTimeout('document.location.reload()', 1700);
            }
        },
        // En caso de no obtener respuesta muestra mensaje de error y en consola muestra el motivo de error 
        error: function(jqXHR) {
            console.log(jqXHR);
            $('#modal_advertencia').find('#texto_advertencia').text('Ocurrio un problema, consulte al administrador');
			$('#modal_advertencia').modal('show');
            setTimeout('document.location.reload()', 1700);
        }
    });
});

// si en el cambio de contraseña las contraseñas no coinciden limpia los campos
function limpiaPass(){
    document.getElementById("pass_pass").value = "";
    document.getElementById('pass_pass2').value = "";
}

// cuando se intenta cambiar la contraseña
$(document).on('submit', '#pass_cambio', function(event) {
	event.preventDefault();
    // Obtiene los valores del form
	let pass = document.getElementById("pass_pass").value;
	let pass2 = document.getElementById('pass_pass2').value;
    let email = document.getElementById('login_usuario').value;
	
    // Valida si coinciden las contraseñas
    if(pass == pass2){
        $.ajax({
            url: 'data/CambioPass.php',
            type: 'post',
            dataType: 'json',
            data: {
                pass:pass,
                email:email
            },
            success: function (data) {
                // Valida si se cambio o no la contraseña
                if(data.valid === true){
                    $('#modal_Cpass').modal('hide');
                    $('#modal_exito').find('#texto_exito').text('La contraseña se actualizó');
                    $('#modal_exito').modal('show');
                    setTimeout('document.location.reload()', 1700);
                }
                else{
                    $('#modal_error').find('#texto_error').text('No se actualizó la contraseña');
                    $('#modal_error').modal('show');
                }
            },
            // Si hay un error de comunicacion muestra un mensaje de error y en consola la razon del error
            error: function(jqXHR) {
                console.log(jqXHR.responseText);
                $('#modal_advertencia').find('#texto_advertencia').text('Ocurrio un problema, consulte al administrador');
                $('#modal_advertencia').modal('show');
            }
        });
    }
    // Si no coinciden limpia los campos del modal
    else{
        $('#modal_Cpass').find('#texto_pass').text('¡Las contraseñas no coinciden!');
        document.getElementById("pass_pass").value = "";
        document.getElementById('pass_pass2').value = "";
    }
});